org.fourthline.cling.support.model.dlna

## Enum DLNAConversionIndicator

- java.lang.Object
- - java.lang.Enum<DLNAConversionIndicator>
  - - org.fourthline.cling.support.model.dlna.DLNAConversionIndicator

- All Implemented Interfaces:
    Serializable, Comparable<DLNAConversionIndicator>

      public enum DLNAConversionIndicator
      extends Enum<DLNAConversionIndicator>

  DLNA.ORG_CI: conversion indicator parameter (integer)

           0 not transcoded
           1 transcoded

  Author:
    Mario Franco

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE`
    `TRANSCODED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `static DLNAConversionIndicator` | `valueOf(int code)`
    `static DLNAConversionIndicator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DLNAConversionIndicator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final DLNAConversionIndicator NONE

    - #### TRANSCODED

          public static final DLNAConversionIndicator TRANSCODED

  - ### Method Detail

    - #### values

          public static DLNAConversionIndicator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DLNAConversionIndicator c : DLNAConversionIndicator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DLNAConversionIndicator valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### valueOf

          public static DLNAConversionIndicator valueOf(int code)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.